Bug 56024 - Fix for bug #5903 (race condition in lpr) is incomplete--the race condition still exists
Summary: Fix for bug #5903 (race condition in lpr) is incomplete--the race condition s...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lpr   
(Show other bugs)
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-11 01:41 UTC by Brian Chess
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-18 22:43:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brian Chess 2001-11-11 01:41:10 UTC
bug #5903 (race condition in lpr) was fixed by adding calls to seteuid()
before the calls to open().  The problem is that the value returned from
seteuid() isn't checked.  If seteuid fails, the race condition is still
there.  Why would seteuid() fail, you ask?  Check out
http://www.securityfocus.com/bid/1322 for an example.

Comment 1 Tim Waugh 2002-01-15 16:47:05 UTC
This kernel bug has already been addressed by a kernel advisory.


Comment 2 Brian Chess 2002-01-15 19:37:54 UTC
The kernal bug that I pointed out was an example.  If you don't fix the problem 
in lpr, it will be suseptable to all future problems of that type.


Note You need to log in before you can comment on or make changes to this bug.